plugins {
    id 'com.android.library'
    id 'org.jetbrains.kotlin.android'
}
def version = '1.0.1'
def releaseTime() {
    return new Date().format("yyyy-MM-dd", TimeZone.getTimeZone("UTC"))
}

android {
    compileSdk = rootProject.ext.compileSdkVersion
    buildToolsVersion rootProject.ext.buildToolsVersion

    defaultConfig {
        minSdkVersion rootProject.ext.minSdkVersion
        targetSdkVersion rootProject.ext.targetSdkVersion

        testInstrumentationRunner "androidx.test.runner.AndroidJUnitRunner"
        consumerProguardFiles "consumer-rules.pro"
    }

    buildTypes {

        debug{
            libraryVariants.all { variant->
                variant.outputs.all { output ->
                    if (outputFile != null && outputFileName.endsWith('.aar')) {
                        outputFileName = "ad_csj_${version}_${releaseTime()}_debug.aar"
                    }
                }
            }
        }

        release {
            minifyEnabled false
            proguardFiles getDefaultProguardFile('proguard-android-optimize.txt'), 'proguard-rules.pro'

            libraryVariants.all { variant->
                variant.outputs.all { output->
                    if (outputFile != null && outputFileName.endsWith('.aar')) {
                        outputFileName = "ad_csj_${version}_${releaseTime()}_release.aar"
                    }
                }
            }
        }
    }
    compileOptions {
        sourceCompatibility JavaVersion.VERSION_1_8
        targetCompatibility JavaVersion.VERSION_1_8
    }
    kotlinOptions {
        jvmTarget = '1.8'
    }
}

dependencies {
    implementation fileTree(include: ['*.jar', '*.aar'], dir: 'libs')
    implementation project(':lib_ad_core')

//    implementation 'com.pangle.cn:ads-sdk-pro:5.3.0.3'
    implementation 'androidx.legacy:legacy-support-v4:1.0.0'
}